/events/summaries
Create event summaries for a user. Event summaries are used to track the number of times an event has occurred, the first time it occurred and the last time it occurred.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_data_event_summaries_request
| Property | Type | Required |
|---|---|---|
| user_id | string | optional |
| event_summaries | object | optional |
| β last | integer | optional |
| β count | integer | optional |
| β first | integer | optional |
| β event_name | string | optional |
successful
Unauthorized
POST /events/summaries
/download/content/data/{job_identifier}
When a job has a status of complete, and thus a filled download_url, you can download your data by hitting that provided URL, formatted like so: https://api.intercom.io/download/content/data/xyz1234.
Your exported message data will be streamed continuously back down to you in a gzipped CSV format.
π Octet header required
You will have to specify the header Accept:
application/octet-streamwhen hitting this endpoint.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| job_identifier | path | required | string | job_identifier |
successful
GET /download/content/data/{job_identifier}
/export/cancel/{job_identifier}
You can cancel your job
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| job_identifier | path | required | string | job_identifier |
successful
POST /export/cancel/{job_identifier}
/export/content/data
To create your export job, you need to send a POST request to the export endpoint https://api.intercom.io/export/content/data.
The only parameters you need to provide are the range of dates that you want exported.
π§ Limit of one active job
You can only have one active job per workspace. You will receive a HTTP status code of 429 with the message Exceeded rate limit of 1 pending message data export jobs if you attempt to create a second concurrent job.
βοΈ Updated_at not included
It should be noted that the timeframe only includes messages sent during the time period and not messages that were only updated during this period. For example, if a message was updated yesterday but sent two days ago, you would need to set the created_at_after date before the message was sent to include that in your retrieval job.
π Date ranges are inclusive
Requesting data for 2018-06-01 until 2018-06-30 will get all data for those days including those specified - e.g. 2018-06-01 00:00:00 until 2018-06-30 23:59:99.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_data_exports_request
| Property | Type | Required |
|---|---|---|
| created_at_after | integer | required |
| created_at_before | integer | required |
successful
POST /export/content/data
/export/content/data/{job_identifier}
You can view the status of your job by sending a GET request to the URL
https://api.intercom.io/export/content/data/{job_identifier} - the {job_identifier} is the value returned in the response when you first created the export job. More on it can be seen in the Export Job Model.
π§ Jobs expire after two days
All jobs that have completed processing (and are thus available to download from the provided URL) will have an expiry limit of two days from when the export ob completed. After this, the data will no longer be available.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| job_identifier | path | required | string | job_identifier |
successful
GET /export/content/data/{job_identifier}
/help_center/collections
You can fetch a list of all collections by making a GET request to https://api.intercom.io/help_center/collections.
Collections will be returned in descending order on the updated_at attribute. This means if you need to iterate through results then weβll show the most recently updated collections first.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
Successful
Unauthorized
GET /help_center/collections
/help_center/collections
You can create a new collection by making a POST request to https://api.intercom.io/help_center/collections.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_collection_request
| Property | Type | Required |
|---|---|---|
| name | string | required |
| description | string | optional |
| help_center_id | integer | optional |
| translated_content | object | optional |
| β ar | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bg | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ca | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β cs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β da | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β de | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β el | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β en | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β es | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β et | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fi | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β he | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hu | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β id | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β it | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ja | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ko | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β β¦18 more | object | optional |
collection created
Bad Request
Unauthorized
POST /help_center/collections
/help_center/collections/{id}
You can delete a single collection by making a DELETE request to https://api.intercom.io/collections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the collection which is given by Intercom. |
successful
Unauthorized
collection Not Found
DELETE /help_center/collections/{id}
/help_center/collections/{id}
You can fetch the details of a single collection by making a GET request to https://api.intercom.io/help_center/collections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the collection which is given by Intercom. |
Collection found
Unauthorized
Collection not found
GET /help_center/collections/{id}
/help_center/collections/{id}
You can update the details of a single collection by making a PUT request to https://api.intercom.io/collections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the collection which is given by Intercom. |
application/json
update_collection_request
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| description | string | optional |
| translated_content | object | optional |
| β ar | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bg | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ca | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β cs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β da | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β de | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β el | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β en | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β es | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β et | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fi | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β he | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hu | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β id | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β it | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ja | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ko | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β β¦18 more | object | optional |
successful
Unauthorized
Collection Not Found
PUT /help_center/collections/{id}
/help_center/help_centers
You can list all Help Centers by making a GET request to https://api.intercom.io/help_center/help_centers.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
Help Centers found
Unauthorized
GET /help_center/help_centers
/help_center/help_centers/{id}
You can fetch the details of a single Help Center by making a GET request to https://api.intercom.io/help_center/help_center/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the collection which is given by Intercom. |
Collection found
Unauthorized
Collection not found
GET /help_center/help_centers/{id}
/help_center/sections
You can fetch a list of all sections by making a GET request to https://api.intercom.io/help_center/sections.
π How are the sections sorted and ordered?
Sections will be returned in descending order on the
updated_atattribute. This means if you need to iterate through results then weβll show the most recently updated sections first.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
Successful
Unauthorized
GET /help_center/sections
/help_center/sections
You can create a new section by making a POST request to https://api.intercom.io/help_center/sections.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_section_request
| Property | Type | Required |
|---|---|---|
| name | string | required |
| parent_id | integer | required |
| translated_content | object | optional |
| β ar | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bg | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ca | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β cs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β da | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β de | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β el | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β en | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β es | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β et | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fi | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β he | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hu | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β id | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β it | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ja | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ko | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β β¦18 more | object | optional |
section created
Unauthorized
POST /help_center/sections
/help_center/sections/{id}
You can delete a single section by making a DELETE request to https://api.intercom.io/sections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the section which is given by Intercom. |
successful
Unauthorized
section Not Found
DELETE /help_center/sections/{id}
/help_center/sections/{id}
You can fetch the details of a single section by making a GET request to https://api.intercom.io/help_center/sections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the section which is given by Intercom. |
Section found
Unauthorized
Section not found
GET /help_center/sections/{id}
/help_center/sections/{id}
You can update the details of a single section by making a PUT request to https://api.intercom.io/sections/<id>.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the section which is given by Intercom. |
application/json
update_section_request
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| parent_id | integer | optional |
| translated_content | object | optional |
| β ar | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bg | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β bs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ca | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β cs | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β da | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β de | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β el | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β en | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β es | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β et | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fi | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β fr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β he | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hr | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β hu | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β id | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β it | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ja | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β ko | object | optional |
| β name | string | optional |
| β type | string | optional |
| β description | string | optional |
| β β¦18 more | object | optional |
successful
Unauthorized
Section Not Found
PUT /help_center/sections/{id}
/messages
You can create a message that has been initiated by an admin. The conversation can be either an in-app message or an email.
π§ Sending for visitors
There can be a short delay between when a contact is created and when a contact becomes available to be messaged through the API. A 404 Not Found error will be returned in this case.
This will return the Message model that has been created.
π§ Retrieving Associated Conversations
As this is a message, there will be no conversation present until the contact responds. Once they do, you will have to search for a contactβs conversations with the id of the message.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_message_request
| Property | Type | Required |
|---|---|---|
| to | object | optional |
| β id | string | required |
| β type | string | required |
| body | string | optional |
| from | object | optional |
| β id | integer | required |
| β type | string | required |
| subject | string | optional |
| template | string | optional |
| message_type | string | optional |
| create_conversation_without_contact_reply | boolean | optional |
admin message created
No body supplied for email message
Unauthorized
API plan restricted
No subject supplied for email message
POST /messages
/news/news_items
You can fetch a list of all news items
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
successful
Unauthorized
GET /news/news_items
/news/news_items
You can create a news item
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
news_item_request
| Property | Type | Required |
|---|---|---|
| body | string | optional |
| state | string | optional |
| title | string | required |
| labels | array | optional |
| reactions | array | optional |
| sender_id | integer | required |
| deliver_silently | boolean | optional |
| newsfeed_assignments | array | optional |
| β newsfeed_id | integer | optional |
| β published_at | integer | optional |
successful
Unauthorized
POST /news/news_items
/news/news_items/{id}
You can delete a single news item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the news item which is given by Intercom. |
successful
Unauthorized
News Item Not Found
DELETE /news/news_items/{id}
/news/news_items/{id}
You can fetch the details of a single news item.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the news item which is given by Intercom. |
successful
Unauthorized
News Item Not Found
GET /news/news_items/{id}
/news/news_items/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier for the news item which is given by Intercom. |
application/json
news_item_request
| Property | Type | Required |
|---|---|---|
| body | string | optional |
| state | string | optional |
| title | string | required |
| labels | array | optional |
| reactions | array | optional |
| sender_id | integer | required |
| deliver_silently | boolean | optional |
| newsfeed_assignments | array | optional |
| β newsfeed_id | integer | optional |
| β published_at | integer | optional |
successful
Unauthorized
News Item Not Found
PUT /news/news_items/{id}
/news/newsfeeds
You can fetch a list of all newsfeeds
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
successful
Unauthorized
GET /news/newsfeeds
/news/newsfeeds/{id}
You can fetch the details of a single newsfeed
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier for the news feed item which is given by Intercom. |
successful
Unauthorized
GET /news/newsfeeds/{id}
/news/newsfeeds/{id}/items
You can fetch a list of all news items that are live on a given newsfeed
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier for the news feed item which is given by Intercom. |
successful
Unauthorized
GET /news/newsfeeds/{id}/items
/contacts/{id}/notes
You can fetch a list of notes that are associated to a contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | The unique identifier of a contact. |
| Intercom-Version | header | optional | — |
Successful response
Contact not found
GET /contacts/{id}/notes
/contacts/{id}/notes
You can add a note to a single contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier of a given contact. |
application/json
NotesAddNoteToContactRequest
| Property | Type | Required |
|---|---|---|
| body | string | required |
| admin_id | string | optional |
| contact_id | string | optional |
Successful response
Contact not found
POST /contacts/{id}/notes
/notes/{id}
You can fetch the details of a single note.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | integer | The unique identifier of a given note |
Note found
Unauthorized
Note not found
GET /notes/{id}
/segments
You can fetch a list of all segments.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| include_count | query | optional | boolean | It includes the count of contacts that belong to each segment. |
Successful response
Unauthorized
GET /segments
/segments/{id}
You can fetch the details of a single segment.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identified of a given segment. |
Successful response
Unauthorized
Segment not found
GET /segments/{id}
/contacts/{contact_id}/subscriptions
You can add a specific subscription to a contact. In Intercom, we have two different subscription types based on user consent - opt-out and opt-in:
1.Attaching a contact to an opt-out subscription type will opt that user out from receiving messages related to that subscription type.
2.Attaching a contact to an opt-in subscription type will opt that user in to receiving messages related to that subscription type.
This will return a subscription type model for the subscription type that was added to the contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| contact_id | path | required | string | The unique identifier for the contact which is given by Intercom |
application/json
SubscriptionTypesAddSubscriptionToContactRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| consent_type | string | required |
Successful
Unauthorized
Resource not found
POST /contacts/{contact_id}/subscriptions
/contacts/{contact_id}/subscriptions/{id}
You can remove a specific subscription from a contact. This will return a subscription type model for the subscription type that was removed from the contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| contact_id | path | required | string | The unique identifier for the contact which is given by Intercom |
| id | path | required | string | The unique identifier for the subscription type which is given by Intercom |
Successful
Unauthorized
Resource not found
DELETE /contacts/{contact_id}/subscriptions/{id}
/subscription_types
You can list all subscription types. A list of subscription type objects will be returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
Successful
Unauthorized
GET /subscription_types
/phone_call_redirects
You can use the API to deflect phone calls to the Intercom Messenger.
Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.
If custom attributes are specified, they will be added to the user or leadβs custom data attributes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_phone_switch_request
| Property | Type | Required |
|---|---|---|
| phone | string | required |
| custom_attributes | object | optional |
successful
bad request - invalid number
Unauthorized
unprocessable entity
POST /phone_call_redirects
/contacts/{contact_id}/tags
You can tag a specific contact. This will return a tag object for the tag that was added to the contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| contact_id | path | required | string | The unique identifier for the contact which is given by Intercom |
application/json
TagsAddTagToContactRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
successful
Unauthorized
Tag not found
POST /contacts/{contact_id}/tags
/contacts/{contact_id}/tags/{id}
You can remove tag from a specific contact. This will return a tag object for the tag that was removed from the contact.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| contact_id | path | required | string | The unique identifier for the contact which is given by Intercom |
| id | path | required | string | The unique identifier for the tag which is given by Intercom |
successful
Unauthorized
Tag not found
DELETE /contacts/{contact_id}/tags/{id}
/conversations/{conversation_id}/tags
You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| conversation_id | path | required | string | conversation_id |
application/json
TagsAddTagToConversationRequest
| Property | Type | Required |
|---|---|---|
| id | string | required |
| admin_id | string | required |
successful
Unauthorized
Conversation not found
POST /conversations/{conversation_id}/tags
/conversations/{conversation_id}/tags/{id}
You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| conversation_id | path | required | string | conversation_id |
| id | path | required | string | id |
application/json
TagsRemoveFromConversationRequest
| Property | Type | Required |
|---|---|---|
| admin_id | string | required |
successful
Unauthorized
Tag not found
DELETE /conversations/{conversation_id}/tags/{id}
/tags
You can fetch a list of all tags for a given workspace.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
successful
Unauthorized
GET /tags
/tags
You can use this endpoint to perform the following operations:
1. Create a new tag: You can create a new tag by passing in the tag name as specified in βCreate or Update Tag Request Payloadβ described below.
2. Update an existing tag: You can update an existing tag by passing the id of the tag as specified in βCreate or Update Tag Request Payloadβ described below.
3. Tag Companies: You can tag single company or a list of companies. You can tag a company by passing in the tag name and the company details as specified in βTag Company Request Payloadβ described below. Also, if the tag doesnβt exist then a new one will be created automatically.
4. Untag Companies: You can untag a single company or a list of companies. You can untag a company by passing in the tag id and the company details as specified in βUntag Company Request Payloadβ described below.
5. Tag Multiple Users: You can tag a list of users. You can tag the users by passing in the tag name and the user details as specified in βTag Users Request Payloadβ described below.
Each operation will return a tag object.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
TagsCreateOrUpdateTagRequest
Action successful
Invalid parameters
Unauthorized
User not found
POST /tags
/tags/{id}
You can delete the details of tags that are on the workspace by passing in the id.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier of a given tag |
Successful
Tag has dependent objects
Unauthorized
Resource not found
DELETE /tags/{id}
/tags/{id}
You can fetch the details of tags that are on the workspace by their id.
This will return a tag object.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier of a given tag |
Tag found
Unauthorized
Tag not found
GET /tags/{id}
/teams
This will return a list of team objects for the App.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
successful
Unauthorized
GET /teams
/teams/{id}
You can fetch the details of a single team, containing an array of admins that belong to this team.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier of a given team. |
successful
Unauthorized
Team not found
GET /teams/{id}
/ticket_types/{ticket_type_id}/attributes
You can create a new attribute for a ticket type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| ticket_type_id | path | required | string | The unique identifier for the ticket type which is given by Intercom. |
application/json
create_ticket_type_attribute_request
| Property | Type | Required |
|---|---|---|
| name | string | required |
| data_type | string | required |
| multiline | boolean | optional |
| list_items | string | optional |
| description | string | required |
| visible_on_create | boolean | optional |
| required_to_create | boolean | optional |
| visible_to_contacts | boolean | optional |
| allow_multiple_values | boolean | optional |
| required_to_create_for_contacts | boolean | optional |
Ticket Type Attribute created
Unauthorized
POST /ticket_types/{ticket_type_id}/attributes
/ticket_types/{ticket_type_id}/attributes/{id}
You can update an existing attribute for a ticket type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| ticket_type_id | path | required | string | The unique identifier for the ticket type which is given by Intercom. |
| id | path | required | string | The unique identifier for the ticket type attribute which is given by Intercom. |
application/json
update_ticket_type_attribute_request
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| archived | boolean | optional |
| multiline | boolean | optional |
| list_items | string | optional |
| description | string | optional |
| visible_on_create | boolean | optional |
| required_to_create | boolean | optional |
| visible_to_contacts | boolean | optional |
| allow_multiple_values | boolean | optional |
| required_to_create_for_contacts | boolean | optional |
Ticket Type Attribute updated
Unauthorized
PUT /ticket_types/{ticket_type_id}/attributes/{id}
/ticket_types
You can get a list of all ticket types for a workspace.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
successful
Unauthorized
GET /ticket_types
/ticket_types
You can create a new ticket type.
π Creating ticket types.
Every ticket type will be created with two default attributes: default_title and default_description.
For theiconpropery, use an emoji from Twemoji Cheatsheet
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — |
application/json
create_ticket_type_request
| Property | Type | Required |
|---|---|---|
| icon | string | optional |
| name | string | required |
| description | string | optional |
| is_internal | boolean | optional |
Ticket type created
Unauthorized
POST /ticket_types
/ticket_types/{id}
You can fetch the details of a single ticket type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| Intercom-Version | header | optional | — | |
| id | path | required | string | The unique identifier for the ticket type which is given by Intercom. |
Ticket type found
Unauthorized
GET /ticket_types/{id}